org.h2.constraint

## Enum ConstraintActionType

- java.lang.Object
- - java.lang.Enum<ConstraintActionType>
  - - org.h2.constraint.ConstraintActionType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ConstraintActionType>

    public enum ConstraintActionType
    extends java.lang.Enum<ConstraintActionType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CASCADE` The action is to cascade the operation.
`RESTRICT` The action is to restrict the operation.
`SET_DEFAULT` The action is to set the value to the default value.
`SET_NULL` The action is to set the value to NULL.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.String` `getSqlName()` Get standard SQL type name.
`static ConstraintActionType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ConstraintActionType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### RESTRICT

    public static final ConstraintActionType RESTRICT

The action is to restrict the operation.

#### CASCADE

    public static final ConstraintActionType CASCADE

The action is to cascade the operation.

#### SET_DEFAULT

    public static final ConstraintActionType SET_DEFAULT

The action is to set the value to the default value.

#### SET_NULL

    public static final ConstraintActionType SET_NULL

The action is to set the value to NULL.

### Method Detail

#### values

    public static ConstraintActionType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ConstraintActionType c : ConstraintActionType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ConstraintActionType valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getSqlName

    public java.lang.String getSqlName()

Get standard SQL type name.

Returns:
  standard SQL type name